Collections
Update a collection
Change the payout account or the status. A new recipient_id applies to
deposits that arrive after the change. Pulse holds deposits that arrive while
the collection is disabled.
Authorization
ApiKeyAuth X-API-Key<token>
The API key identifies your business. Requests do not include a business ID.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/collections/string" \ -H "Content-Type: application/json" \ -d '{ "status": "disabled" }'{ "status": true, "data": { "id": "string", "reference": "string", "type": "offramp", "status": "active", "recipient_id": "string", "customer": { "name": "string", "email": "user@example.com" }, "deposit_addresses": [ { "address": "string", "networks": [ "BASE" ] } ], "last_deposit_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" }}